Package org.zkoss.web.servlet.dsp

## Class InterpreterServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.zkoss.web.servlet.dsp.InterpreterServlet

- All Implemented Interfaces:
    `java.io.Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

      public class InterpreterServlet
      extends javax.servlet.http.HttpServlet

  The servlet used to interpret the DSP file (Potix Dynamic Script Page).

  Initial parameters:

  charset
    The default character set if not specified in the DSP page.
    Default: UTF-8.
  class-resource
    Whether to search the class loader if a resource is not found in the Web application (i.e., ServletContext).
  Default: false.
  Author:
    tomyeh
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InterpreterServlet()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `doGet​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` |
    `protected void` | `doPost​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` |
    `void` | `init()` |

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InterpreterServlet

          public InterpreterServlet()

  - ### Method Detail

    - #### init

          public void init()
                    throws javax.servlet.ServletException

      Overrides:
        `init` in class `javax.servlet.GenericServlet`
      Throws:
        `javax.servlet.ServletException`

    - #### doGet

          protected void doGet​(javax.servlet.http.HttpServletRequest request,
                               javax.servlet.http.HttpServletResponse response)
                        throws javax.servlet.ServletException,
                               java.io.IOException

      Overrides:
        `doGet` in class `javax.servlet.http.HttpServlet`
      Throws:
        `javax.servlet.ServletException`
        `java.io.IOException`

    - #### doPost

          protected void doPost​(javax.servlet.http.HttpServletRequest request,
                                javax.servlet.http.HttpServletResponse response)
                         throws javax.servlet.ServletException,
                                java.io.IOException

      Overrides:
        `doPost` in class `javax.servlet.http.HttpServlet`
      Throws:
        `javax.servlet.ServletException`
        `java.io.IOException`